# dask.dataframe.DataFrame.pivot_table

DataFrame.pivot_table(index=None, columns=None, values=None, aggfunc='mean')

  Create a spreadsheet-style pivot table as a DataFrame. Target `columns` must have category dtype to infer result’s `columns`. `index`, `columns`, `values` and `aggfunc` must be all scalar.

  Parameters:
    values scalar

      column to aggregate

    index scalar

      column to be index

    columns scalar

      column to be columns

    aggfunc{‘mean’, ‘sum’, ‘count’}, default ‘mean’
  Returns:
    table DataFrame